SMITHWATERMAN(1)

NAME
smithwaterman - determine similar regions between two strings or nucleotide or protein sequences

SYNOPSIS
smithwaterman [options] <reference sequence> <query sequence>

DESCRIPTION
The Smith–Waterman algorithm performs local sequence alignment; that is, for determining similar regions between two strings or nucleotide or protein sequences. Instead of looking at the total sequence, the Smith–Waterman algorithm compares segments of all possible lengths and optimizes the similarity measure.

OPTIONS

-m, --match-score
    the match score (default 10.0)

-n, --mismatch-score
    the mismatch score (default -9.0)

-g, --gap-open-penalty
    the gap open penalty (default 15.0)

-z, --entropy-gap-open-penalty
    enable entropy scaling of the gap open penalty

-e, --gap-extend-penalty
    the gap extend penalty (default 6.66)

-r, --repeat-gap-extend-penalty
    use repeat information when generating gap extension penalties

-b, --bandwidth
    bandwidth to use (default 0, or non-banded algorithm)

-p, --print-alignment
    print out the alignment

-R, --reverse-complement
    report the reverse-complement alignment if it scores better

When called with literal reference and query sequences, smithwaterman prints the cigar match positional string and the match position for the query sequence against the reference sequence.

AUTHOR
This manpage was written by Andreas Tille for the Debian distribution and can be used for any other usage of the program.